TimeTrak Requirements - Version 20.1 Onwards

19 June 2020 > Technical,

TimeTrak Versions 20.1 onwards require:

Exo Version:  8710 and up
Note: Preferred version of Exo is versions 2016 and above.

Microsoft Outlook Version: Outlook 2010 and above.

Windows Server:  Windows Server 2008 R2 SP1 and above
The latest service pack for the windows operating system must be installed.

Note: Preferred version is Windows Server 2012 and above
Windows Server 2008 R2 is no longer supported by Microsoft.

Microsoft .Net Framework 4.6.1 needs to be installed.

  • Processor 1 GHz free core
  • RAM 4GB Free
  • Disk Space (min)
  • 32 bit    4.5 GB
  • 64 bit    4.5 GB

Minimum SQL Version Requirement: Microsoft SQL Server 2012 SP4
Note: SQL Server Versions below 2012 SP4 are also no longer supported by Microsoft.

Client Workstation - All client workstations must meet the following minimum requirements:

  • Windows 8.1
  • Windows 10
  • The latest service pack for the Windows Operating System.
  • Minimum Screen Resolution for TimeTrak Professional is: 1920 x 1080

Internet Speed:

Minimum 2Mb dedicated upload speed for Mobile websites from the server TimeTrak is installed on.

Download speed should be 7Mbs and above

If you are deploying more than 20 Mobile users then these figures will need to be higher, this will also be dependent on other services using your internet connection.

Users devices should use 4G where applicable also.

Customisation:

Note if upgrading from versions prior to 4.0, TimeTrak has been rewritten and all tables, triggers and integration SQL will be new. Any customisation around TimeTrak is most likely to break. Please refer to the Exosoft Blog for more database information -  https://timetrak.co.nz/blog/category/general/timetrak-database-changes-between-3.2-4.0

Search blog posts